package ch.hevs.isc.slopify_v2

import scala.collection.mutable.ArrayBuffer

class Artist(val name: String) extends Serializable {
  private var _albums: ArrayBuffer[Album] = new ArrayBuffer()
  def addAlbum(album: Album): Unit = _albums.addOne(album)

  def hasAlbum(album: Album): Boolean = _albums.exists(_.name == album.name)
  def getAlbums(): Array[Album] = _albums.toArray

  def getAlbumByName(name: String): Option[Album] = {
    for (album: Album <- _albums) {
      if (album.name == name) {
        return Some(album)
      }
    }
    return None
  }

  override def toString: String = s"<Artist '$name': ${_albums.length} album(s)>"
}
